{# Templates/Game/Death.html.twig #}

{% extends 'base.html.twig' %}

{% trans_default_domain 'OutGame' %}

{% block title %}{{ 'death.title' | trans }}{% endblock %}

{% block metaDescription %}
    "{{ 'death.metaDescription' | trans }}"
{% endblock %}

{% block content %}
    <h1 class="hdeath">{{ 'death.headerTitle' | trans }}</h1>

    <div class="artworkdeath">
    </div>

    <div class="deathtext">
        <p>
            {{ 'death.praise.line1' | trans({ '%year%': app.user.lord.ageYear, '%months%': app.user.lord.ageMonth | round(0, 'floor') }) | raw }}
        </p>
        <p>
            {% set territoryCount = 1 %}
            {% set worldName = 'Eternal-Twin' %}
            {{ 'death.praise.line2' | trans({ '%territoryCount%': territoryCount, '%worldName%': worldName }) | raw }}
        </p>
        <p>
            {% set title = ('lord.titles.'~app.user.lord.title.value) | trans([], "Common") %}
            {{ 'death.praise.line3' | trans({'%title%': title }) | raw }}
        </p>

        <p>
            {{ 'death.praise.line4' | trans }}
        </p>
    </div>

    {% set userName = app.user.displayName %}

    <div class="parchemin">
        <p><span>{{ userName }}</span> {{ 'death.isDead' | trans }}</p>
        <p>{{ 'death.longLive' | trans({'%user%': userName}) | raw }}</p>
    </div>

    <ul class="deathcontinue">
        {# TODO /pantheon/userId #}
        <li>
            <a href="/#" class="button"
               onmouseover="showHintMsg(this,'<strong class=\'wip\'>{{ 'messages.comingSoon' | trans([], "Common") }}</strong>')"
               onmouseout="hideHint()">{{ 'death.pantheon' | trans }}
            </a>
        </li>
        <li><a href="{{ path('app_outgame_confirmdeath') }}" class="button">{{ 'death.continue' | trans }}</a></li>
    </ul>

    <div class="clear"></div>

    {% include 'Components/LogsList.html.twig' with
        {
            'title': 'death.lastActions' | trans,
            'logs': logs
        }
    %}
{% endblock %}

